CVE-2007-3100

NameCVE-2007-3100
Descriptionusr/log.c in iscsid in open-iscsi (iscsi-initiator-utils) before 2.0-865 uses a semaphore with insecure permissions (world-writable/world-readable) for managing log messages using shared memory, which allows local users to cause a denial of service (hang) by grabbing the semaphore.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1314-1
NVD severitylow (attack range: local)
Debian Bugs429225

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
open-iscsi (PTS)wheezy2.0.873-3fixed
jessie2.0.873+git0.3b4b4500-8+deb8u1fixed
stretch2.0.873+git0.3b4b4500-15fixed
sid2.0.873+git1.4c1f2d90-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
open-iscsisource(unstable)2.0.865-1low429225
open-iscsisourceetch2.0.730-1etch1lowDSA-1314-1

Search for package or bug name: Reporting problems